%define momorel 20

Summary: A public domain Yacc parser generator.
Name: byacc
Version: 1.9
Release: %{momorel}m
License: Public Domain
Group: Development/Tools
Source: ftp://ftp.cs.berkeley.edu/ucb/4bsd/byacc.1.9.tar.Z
Patch0: byacc-1.9-fixmanpage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
Byacc (Berkeley Yacc) is a public domain LALR parser generator which
is used by many programs during their build process.  

If you are going to do development on your system, you will want to install
this package.

%prep
%setup -q -c
%patch -p1 -b .fixmanpage

cd $RPM_BUILD_DIR/byacc-1.9
chmod 755 test

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}%{_mandir}/man1

install -c -m 755 -s yacc %{buildroot}/usr/bin/yacc
install -c -m 644 yacc.1 %{buildroot}%{_mandir}/man1/yacc.1
ln -sf yacc %{buildroot}/usr/bin/byacc
ln -sf yacc.1.gz %{buildroot}%{_mandir}/man1/byacc.1.gz

chmod -R +w test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/yacc
/usr/bin/byacc
%{_mandir}/man1/yacc.1*
%{_mandir}/man1/byacc.1*

%ChangeLog
* Thu Oct  9 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.9-20m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Oct 12 2002 Nguyen Hung Vu <vuhung@momonga-linux.org>
- (1.9-19m)
- Change the prefix k to m. Still being the latest version

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.9-18k)
- modified to use %{_mandir} macro

* Tue Aug 22 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS)

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.9-12).

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Fri Feb 11 2000 Takaaki Tabuchi <tab@kondara.org>
- fix %clean part don't rm test directory problem.

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to compress man pages
- fix up manpage symlink

 Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add man-pages-ja-byacc-20000115

* Sun Jan 23 2000 Takaaki Tabuchi <tab@kondara.org>
- resolve cannot unlink problem at %clean section.

 Sun Nov 28 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-byacc-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- man page fixed.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
